ru.bitel.bgbilling.kernel.contract.period.common.service

## Interface ContractPeriodService

-     public interface ContractPeriodService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteContractPeriod(int id)`
    `ContractPeriod` | `getContractPeriod(int id)`
    `SearchResult<ContractPeriod>` | `searchContractPeriodList(int contractId, java.lang.String[] sort, Page page)`
    `ContractPeriod` | `updateContractPeriod(ContractPeriod contractPeriod)`

- - ### Method Detail

    - #### searchContractPeriodList

          SearchResult<ContractPeriod> searchContractPeriodList(int contractId,
                                                                java.lang.String[] sort,
                                                                Page page)
                                                         throws ru.bitel.bgbilling.common.BGException,
                                                                ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### getContractPeriod

          ContractPeriod getContractPeriod(int id)
                                    throws ru.bitel.bgbilling.common.BGException,
                                           ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateContractPeriod

          ContractPeriod updateContractPeriod(ContractPeriod contractPeriod)
                                       throws ru.bitel.bgbilling.common.BGException,
                                              ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteContractPeriod

          boolean deleteContractPeriod(int id)
                                throws ru.bitel.bgbilling.common.BGException,
                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`